gnurl_escape(3)

NAME
curl_escape - URL encodes the given string

SYNOPSIS
#include <gnurl/curl.h>

char *curl_escape( const char *url, int length );

DESCRIPTION
Obsolete function. Use curl_easy_escape(3) instead! This function will convert the given input string to an URL encoded string and return that as a new allocated string. All input characters that are not a-z, A-Z or 0-9 will be converted to their "URL escaped" version (%NN where NN is a two-digit hexadecimal number). If the 'length' argument is set to 0, curl_escape() will use strlen() on the input 'url' string to find out the size. You must curl_free() the returned string when you're done with it.

AVAILABILITY
Since 7.15.4, curl_easy_escape(3) should be used. This function will be removed in a future release.

RETURN VALUE
A pointer to a zero terminated string or NULL if it failed.

SEE ALSO
curl_unescape(3), curl_free(3), RFC2396